Delete Wan video task
curl --request DELETE \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Video API
Delete Wan video task
Delete a Wan 2.7, Wan Animate or Wan 3.0 Spicy task.
Delete Wan video task
curl --request DELETE \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));DELETE https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}
Path parameter
Public task ID returned by the create endpoint. URL-encode the value when placing it in the
request path.
curl --request DELETE \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/wan27%3Awan-remote-task \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx'
Response
A successful delete returns:204 No Content
Deletion can be rejected while a task is actively processing. Treat deletion as
successful only after receiving
204 No Content. Wan 3.0 Spicy accepts deletion only after the task finishes. A pending, processing or retrying task returns HTTP 422. Poll the same task ID and retry deletion after a terminal status.